Bug 32739 - Bad: gcc-2.96-79 produces internal compiler error while procesing gnustep-gui
Summary: Bad: gcc-2.96-79 produces internal compiler error while procesing gnustep-gui
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-22 20:10 UTC by Need Real Name
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-26 15:41:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
NSPanel.mi is created with -v flags -save-temps (115.46 KB, application/gzip)
2001-03-22 20:12 UTC, Need Real Name
no flags Details

Description Need Real Name 2001-03-22 20:10:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2 i586)


I am using gcc-2.96-79 (+all related packages) on a RH 7.0 system
(glibc-2.2-5) and try to compile the gnustep-gui-0.6.7 package (obtained
from www.gnustep.org). The compilation exits with an internal compiler
error while processing the NSPanel.m file. 

Reproducible: Always
Steps to Reproduce:
1.get, rebuild and install
ftp://ftp.gnustep.org/pub/gnustep/rpms/srpms/gnustep-make-0.9.2-1.src.rpm
2. get, rebuild and install
ftp://ftp.gnustep.org/pub/gnustep/rpms/srpms/gnustep-base-0.9.3-1.src.rpm
3. get
ftp://ftp.gnustep.org/pub/gnustep/rpms/srpms/gnustep-gui-0.6.7-1.src.rpm
4. rpm --rebuild gnustep-gui-0.6.7-1.src.rpm
	

Actual Results:  the compilation continued until a certain file (NSPanel.m)
was reached. At that point it stopped with an internal compiler error.

Expected Results:  Compile to the end!

This is the command line that called the gcc and the error message:

gcc NSPanel.m -c 
-DGNUSTEP_INSTALL_LIBDIR=\"/usr/GNUstep/System//Libraries\" 
-DGNUSTEP_INSTALL_PREFIX=/usr/GNUstep/System/
-DGNUSTEP_TARGET_DIR=\"ix86/linux-gnu\" -DGNUSTEP_TARGET_CPU=\"ix86\"
-DGNUSTEP_TARGET_OS=\"linux-gnu\" -DLIBRARY_COMBO=\"gnu-gnu-gnu-xgps\"
-DGNUSTEP -DGNUSTEP_VERSION= -DGNUSTEP_MAJOR_VERSION=
-DGNUSTEP_MINOR_VERSION= -DGNUSTEP_BASE_LIBRARY=1 -DGNU_GUI_LIBRARY=1 
-DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT  -fPIC -DGSWARN -O2
-march=i586 -Wno-import -fgnu-runtime -Wall  -I../Headers    -I.
-I/usr/GNUstep/System/Headers -I/usr/GNUstep/System/Headers
-I/root/GNUstep/Library/Headers -I/usr/GNUstep/Local/Library/Headers
-I/usr/GNUstep/Network/Library/Headers
-I/usr/GNUstep/System//Library/Headers
-I/usr/GNUstep/Network/Headers/gnustep -I/root/GNUstep/Headers/gnustep
-I/usr/GNUstep/Local/Headers/gnustep
-I/usr/GNUstep/System//Headers/gnustep 
-I/usr/GNUstep/Network/Headers/ix86/linux-gnu
-I/root/GNUstep/Headers/ix86/linux-gnu
-I/usr/GNUstep/Local/Headers/ix86/linux-gnu
-I/usr/GNUstep/System//Headers/ix86/linux-gnu -I/root/GNUstep/Headers
-I/usr/GNUstep/Local/Headers -I/usr/GNUstep/Network/Headers
-I/usr/GNUstep/System//Headers  -o
shared_obj/ix86/linux-gnu/gnu-gnu-gnu-xgps/NSPanel.o
In file included from ../Headers/AppKit/GMAppKit.h:29,
                 from NSPanel.m:53:
../Headers/AppKit/AppKit.h:170:8: warning: extra tokens at end of #endif
directive
NSPanel.m: In function `-[GSAlertPanel sizePanelToFit]':
NSPanel.m:830: Internal compiler error in validate_replace_rtx_1, at
recog.c:561
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Comment 1 Need Real Name 2001-03-22 20:12:43 UTC
Created attachment 13383 [details]
NSPanel.mi is created with -v flags -save-temps

Comment 2 Jakub Jelinek 2001-03-26 15:41:39 UTC
A SUBREG_BYTE related bug.
Simplified into:
float d;
int e, f;

void foo (void)
{
  struct { float u, v; } a = {0.0, 0.0};
  float b;
  int c;

  c = e;
  if (c == 0)
    c = f;
  b = d;
  if (a.v < b)
    a.v = b;
}
at -O, -O2, have just fixed this and the fix will appear in gcc-2.96-80.


Note You need to log in before you can comment on or make changes to this bug.